Package org.wso2.carbon.registry.admin.api.profiles

## Interface IProfilesAdminService<ProfilesBean>

- Type Parameters:
    `ProfilesBean` - contains details about the various profiles of a given user on the system. This also contains the username.

      public interface IProfilesAdminService<ProfilesBean>

  Provides functionality to load and store user profile details in to the registry.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProfilesBean` | `getUserProfile​(String path)` | Method to retrieve profile details from the registry.
    `boolean` | `putUserProfile​(String path)` | Method to add a new user profile to the registry.

- - ### Method Detail

    - #### putUserProfile

          boolean putUserProfile​(String path)
                          throws org.wso2.carbon.registry.core.exceptions.RegistryException,
                                 org.wso2.carbon.user.core.UserStoreException

      Method to add a new user profile to the registry.
      Parameters:
        `path` - the path to add the user profile.
      Returns:
        true if the operation succeeded, or false if not.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if an error occurred while accessing the registry.
        `org.wso2.carbon.user.core.UserStoreException` - if an error occurred while accessing the user realm.

    - #### getUserProfile

          ProfilesBean getUserProfile​(String path)
                               throws org.wso2.carbon.registry.core.exceptions.RegistryException,
                                      org.wso2.carbon.user.core.UserStoreException

      Method to retrieve profile details from the registry.
      Parameters:
        `path` - the path to add the user profile.
      Returns:
        the user profile bean.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if an error occurred while accessing the registry.
        `org.wso2.carbon.user.core.UserStoreException` - if an error occurred while accessing the user realm.